#
# spec file for package perl-Config-Crontab (Version 1.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Config-Crontab
%define module_name Config-Crontab
Summary:        Read/Write Vixie compatible crontab files
Version:        1.11
Release:        12.2
Requires:       perl = %{perl_version}
Autoreqprov:    on
License:        Artistic License, GPL
Group:          Development/Libraries/Perl
Source0:        %{module_name}-%{version}.tar.bz2
URL:            http://www.cpan.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Config::Crontab reads and writes (and pretty-prints) your crontab(5)
files. It is compatible with Vixie-style crontabs (and all subsets,
including Solaris' SysV-style crontabs).

Config::Crontab has a simple, object-oriented syntax. Crontab files are
broken into "blocks" (paragraphs, each separated by two or more
newlines); the Block is the basic unit of a Config::Crontab object.

You can re-order entire blocks within a crontab file, re-order lines
within blocks (there are three types of lines: comments, environment
settings, and crontab commands or events), remove blocks or lines
within blocks, add new blocks or lines within blocks, etc. See the
Config::Crontab manpage for full details.



Authors:
--------
    Scott Wiersdorf, <scott@perlcode.org>

%debug_package
%prep
%setup -q -n %{module_name}-%{version}
#%patch

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/Config
%dir %{perl_vendorlib}/Config
%{perl_vendorlib}/Config/Crontab.pm
/var/adm/perl-modules/%{name}

%changelog -n perl-Config-Crontab
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - mrueckert@suse.de
- update to version 1.11
* Fri Jul 29 2005 - cthiel@suse.de
- update to version 1.10
* Thu Jan 29 2004 - nashif@suse.de
- Initial version for SuSE (1.03)
